<template>
  <div>
    <v-row>
      <v-col cols="12">
        <v-breadcrumbs :items="items" class="grey lighten-4" large>
          <template v-slot:item="props">
            <v-breadcrumbs-item
              @click="open_breadcum(props.item.href)"
              :class="{
                'breadcums-disabled': props.item.disabled,
                'breadcums-enabled': !props.item.disabled,
              }"
            >
              <v-icon v-show="props.item.icon" left>{{
                props.item.icon
              }}</v-icon>
              {{ breadcumText(props.item.text) }}
            </v-breadcrumbs-item>
          </template>
          <template v-slot:divider>
            <v-icon>mdi-forward</v-icon>
          </template>
        </v-breadcrumbs>
      </v-col>
    </v-row>
    <v-row justify="center" class="pr-6 pl-6">
      <v-col cols="12" xl="6" lg="6" md="6" sm="10" xs="12">
        <v-card elevation="6" class="rounded-xl">
          <v-card-title>Media Informasi & Kreatifitas</v-card-title>
          <v-card-text>
            <v-row justify="center">
              <v-col cols="12" align="center">
                <span class="text-body-2"
                  >Media Informasi dan Kreatifitas merupaka sebuah wadah
                  informasi dan komunikasi dalam bentuk media sosial yang
                  dikelola oleh Humas Kanwil Kementerian Agama Provinsi Bali
                  yang menampilkan segala bentuk informasi dan kinerja Kanwil
                  Kementerian Agama Provinsi Bali yang dikemas dalam bentuk
                  semenarik dan sekreatif mungkin disesuaikan dengan
                  perkembangan social masyarakat sehingga dapat diterima dan
                  bermanfaat bagi masyarakat</span
                >
              </v-col>
            </v-row>
            <v-row>

              <v-col cols="12" xl="6" lg="6" md="6" sm="6" xs="12">
                <v-card
                  class="rounded-lg pa-4"
                  height="80"
                  @click="
                    open_url(
                      'https://bali.kemenag.go.id'
                    )
                  "
                  color="blue darken-2"
                >
                  <v-row>
                    <v-col cols="3">
                      <v-img
                        width="50"
                        height="50"
                        src="../../assets/medikas/website.png"
                      />
                    </v-col>
                    <v-col cols="9">
                      <span class="white--text"> Website </span> <br />
                     <span class="text-caption white--text"><strong>https://bali.kemenag.go.id</strong></span>
                    </v-col>
                  </v-row>
                </v-card>
              </v-col>

              <v-col cols="12" xl="6" lg="6" md="6" sm="6" xs="12">
                <v-card
                  class="rounded-lg pa-4"
                  height="80"
                  @click="
                    open_url(
                      'https://www.facebook.com/kanwilkemenag.provinsibali/'
                    )
                  "
                  color="blue darken-4"
                >
                  <v-row>
                    <v-col cols="3">
                      <v-img
                        width="50"
                        height="50"
                        src="../../assets/medikas/facebook.png"
                      />
                    </v-col>
                    <v-col cols="9">
                      <span class="white--text"> Facebook </span> <br />
                     <span class="text-caption white--text"><strong>Kanwil Kemenag Bali</strong></span>
                    </v-col>
                  </v-row>
                </v-card>
              </v-col>

              <v-col cols="12" xl="6" lg="6" md="6" sm="6" xs="12">
                <v-card
                  class="rounded-lg pa-4"
                  height="80"
                  @click="
                    open_url(
                      'https://www.youtube.com/channel/UCesUgUPIpYXf8NRjgGoEFOA'
                    )
                  "
                  color="red"
                >
                  <v-row>
                    <v-col cols="3">
                      <v-img
                        width="50"
                        height="50"
                        src="../../assets/medikas/youtube.png"
                      />
                    </v-col>
                    <v-col cols="9">
                      <span class="white--text"> Youtube </span> <br />
                     <span class="text-caption white--text"><strong>Kanwil Kemenag Bali</strong></span>
                    </v-col>
                  </v-row>
                </v-card>
              </v-col>

              <v-col cols="12" xl="6" lg="6" md="6" sm="6" xs="12">
                <v-card
                  class="rounded-lg pa-4"
                  height="80"
                  @click="
                    open_url(
                      'https://www.instagram.com/kemenag_bali/'
                    )
                  "
                  color="purple"
                >
                  <v-row>
                    <v-col cols="3">
                      <v-img
                        width="50"
                        height="50"
                        src="../../assets/medikas/instagram.png"
                      />
                    </v-col>
                    <v-col cols="9">
                      <span class="white--text"> Instagram </span> <br />
                     <span class="text-caption white--text"><strong>kemenag_bali</strong></span>
                    </v-col>
                  </v-row>
                </v-card>
              </v-col>

              <v-col cols="12" xl="6" lg="6" md="6" sm="6" xs="12">
                <v-card
                  class="rounded-lg pa-4"
                  height="80"
                  @click="
                    open_url(
                      'https://twitter.com/kemenag_bali'
                    )
                  "
                  color="blue"
                >
                  <v-row>
                    <v-col cols="3">
                      <v-img
                        width="50"
                        height="50"
                        src="../../assets/medikas/twitter.png"
                      />
                    </v-col>
                    <v-col cols="9">
                      <span class="white--text"> Twitter </span> <br />
                     <span class="text-caption white--text"><strong>@kemenag_bali</strong></span>
                    </v-col>
                  </v-row>
                </v-card>
              </v-col>

              <v-col cols="12" xl="6" lg="6" md="6" sm="6" xs="12">
                <v-card
                  class="rounded-lg pa-4"
                  height="80"
                  color="brown"
                >
                  <v-row>
                    <v-col cols="3">
                      <v-img
                        width="50"
                        height="50"
                        src="../../assets/medikas/email.png"
                      />
                    </v-col>
                    <v-col cols="9">
                      <span class="white--text"> Email </span> <br />
                     <span class="text-caption white--text"><strong>humas_bali@kemenag.go.id</strong></span>
                    </v-col>
                  </v-row>
                </v-card>
              </v-col>
              
              
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>
    </v-row>
  </div>
</template>

<script>
export default {
  name: "publik-medika",
  components: {},
  data: () => ({
    items: [
      {
        text: "Home",
        disabled: false,
        href: "home",
        icon: "mdi-home",
      },
      {
        text: "Layanan Publik",
        disabled: false,
        href: "simanis",
      },
      {
        text: "Medika",
        disabled: true,
        href: "#",
      },
    ],
  }),
  computed: {},
  mounted() {
    this.$store.dispatch("constant/set_title", "MEDIKA");
  },
  methods: {
    open_breadcum(href) {
      if (href === "home") {
        this.$router.replace(`/`);
      } else {
        this.$store.dispatch("constant/set_title", "Layanan Publik");
        this.$router.back();
      }
    },
    open_url(url) {
      window.open(url);
    },
  },
};
</script>

<style scoped>
</style>
